Package Details: gcc44 4.4.7-6

Git Clone URL: https://aur.archlinux.org/gcc44.git (read-only, click to copy)
Package Base: gcc44
Description: The GNU Compiler Collection (4.4.x)
Upstream URL: http://gcc.gnu.org/
Licenses: GPL, custom, LGPL
Conflicts: gcc44-multilib
Submitter: None
Maintainer: severach
Last Packager: severach
Votes: 69
Popularity: 0.000000
First Submitted: 2010-05-28 14:46
Last Updated: 2017-09-13 15:17

Latest Comments

« First ‹ Previous 1 2 3 4 5 6 7 Next › Last »

xyproto commented on 2013-11-08 15:10

Updated the package and added 'staticlibs' to the options array. Thanks, mauro2.

mauro2 commented on 2013-11-07 22:48

I needed to add 'staticlibs' to options. See https://bbs.archlinux.org/viewtopic.php?pid=1345153

pelluch commented on 2013-05-06 17:41

Nice! Thanks for the work on keeping this package up-to-date and functional, as some software just refuses to update to a new version of gcc.

xyproto commented on 2013-05-06 11:41

Updated the package to enable libgomp.

xyproto commented on 2013-05-05 00:04

pelluch, just leftovers from when I adopted the package, I will look at it.

pelluch commented on 2013-05-04 00:28

Just curious, any reason as to why you use the flag "--disable-libgomp"? This caused a few builds that use omp to fail for me in matlab. Using "--enable-libgomp" works for me, although I have to add
rm -rf "$pkgdir/usr/share/info"
in the package() function in order to avoid conflicts with the files already there.

xyproto commented on 2013-04-25 17:54

Updated the PKGBUILD, thanks kristianlm2 and progtologist!

xyproto commented on 2013-04-25 17:39

Updated the PKBUILD. It doesn't compile here, even after adding '!buildflags', unfortunately. But, if it works for some people, it's a start.

progtologist commented on 2013-04-25 14:10

Fix for PKGBUILD is:
options=('!libtool' '!buildflags')

Anonymous comment on 2013-04-23 19:44

I removed the fortify-source in /etc/makepkg.conf and it seems to be working now. I did not edit this file myself, so I guess a lot of people will be hitting this.

Don't know how to fix from PKGBUILD, though.

--- /etc/makepkg.conf
+++ #<buffer makepkg.conf>
@@ -29,7 +29,7 @@
-CPPFLAGS="-D_FORTIFY_SOURCE=2"
+CPPFLAGS=""